<?php

class job {

    private static $jobs = [
        0 => 'Novice',
        1 => 'Swordman',
        2 => 'Magician',
        3 => 'Archer',
        4 => 'Acolyte',
        5 => 'Merchant',
        6 => 'Thief',
        7 => 'Knight',
        8 => 'Priest',
        9 => 'Wizard',
        10 => 'Blacksmith',
        11 => 'Hunter',
        12 => 'Assassin',
        14 => 'Crusader',
        15 => 'Monk',
        16 => 'Sage',
        17 => 'Rogue',
        18 => 'Alchemist',
        19 => 'Bard',
        20 => 'Dancer',
    ];

    public static function getJob(): array
    {
        return self::$jobs;      
    }

    public static function getJobById($id): string
    {
        if (!isset(self::$jobs[$id])) {
            return 'Unknown';
        }

        return self::$jobs[$id];
    }

}

?>